#!/bin/sh

# UplayLauncherVersionCheck.sh
# 
#
# Created by Mykhailo Kravets on 05/31/10.
# Copyright 2010 Ubisoft. All rights reserved.

LAUNCHER_INSTALL_PATH=`defaults read /Library/Preferences/com.Ubisoft.Launcher LauncherBundlePath`

echo "$LAUNCHER_INSTALL_PATH"

if [ ! -d "$LAUNCHER_INSTALL_PATH" ]; then
    echo 'launcher not installed'
    exit 1
fi

VERSION_PATH="${LAUNCHER_INSTALL_PATH}/version.txt"
thisVersion=0331
installedVersion=`cat "$VERSION_PATH"`

thisVersion=1$thisVersion
installedVersion=1$installedVersion

echo "thisVersion $thisVersion"
echo "installedVersion $installedVersion"

if [ $thisVersion -gt $installedVersion ]; then
    echo 'installed version is older, install needed'
	exit 1
fi 

